Bug 1658193 - Bump ovirt_provision_plugin to 2.0.3
Summary: Bump ovirt_provision_plugin to 2.0.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 13:35 UTC by Martin Perina
Modified: 2019-10-07 17:19 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-ovirt_provision_plugin-2.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:39 UTC
Github theforeman foreman-packaging pull 3268 None None None 2018-12-11 19:29:22 UTC

Description Martin Perina 2018-12-11 13:35:08 UTC
Description of problem:

We are going to release ovirt_provision_plugin 2.0.0, which:

1. Uses RHV APIv4 instead of deprecated APIv3 (which will become unsupported in RHV 4.3)
2. Fixes several issues around "provisioning a host" flow executed from RHV

Could you please include that updated version into Satellite 6.4.z?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Moti Asayag 2018-12-11 13:45:22 UTC
* the updated release is ovirt_provision_plugin 2.0.1

Comment 4 Moti Asayag 2018-12-11 22:26:31 UTC
(In reply to Moti Asayag from comment #3)
> * the updated release is ovirt_provision_plugin 2.0.1

The latest version is  ovirt_provision_plugin 2.0.2.

Comment 5 Moti Asayag 2019-01-20 12:04:03 UTC
(In reply to Moti Asayag from comment #4)
> (In reply to Moti Asayag from comment #3)
> > * the updated release is ovirt_provision_plugin 2.0.1
> 
> The latest version is  ovirt_provision_plugin 2.0.2.

Version 2.0.2 had an issue with localization. Please use ovirt_provision_plugin 2.0.3

Comment 6 Lukas Pramuk 2019-02-22 13:05:37 UTC
VERIFIED.

@satellite-6.5.0-6.beta.el7sat.noarch
tfm-rubygem-ovirt_provision_plugin-2.0.3-1.el7sat.noarch

by the following manual reproducer:

0. Have Satellite default installation

1. Check for tfm-rubygem-ovirt_provision_plugin rpm


FIX:

# yum list  tfm-rubygem-ovirt_provision_plugin
Available Packages
tfm-rubygem-ovirt_provision_plugin.noarch        2.0.3-1.el7sat        satellite

vs.

REPRO:

# yum list  tfm-rubygem-ovirt_provision_plugin
Available Packages
tfm-rubygem-ovirt_provision_plugin.noarch        1.0.2-2.el7sat        satellite

Comment 8 errata-xmlrpc 2019-05-14 12:39:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.